./deagle --no-assertions --datarace --32 /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i


--------------------------------------------------------------------------------


Deagle version 2.1 64-bit x86_64 linux
which contains:
CBMC version 5.67.0 (SVCOMP2023_221122-2-g2121ef1a2) 64-bit x86_64 linux
Parsing /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i
Converting
Type-checking safe012_power.opt
Generating GOTO Program
Adding CPROVER library (x86_64)
file <builtin-library-pthread_create> line 20: warning: pointer parameter types differ between declaration and definition "pthread_create"
old definition in module safe012_power.opt file /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i line 422
signed int (pthread_t *, const pthread_attr_t *, void * (*)(void *), void *)
new definition in module <built-in-library> file <builtin-library-pthread_create> line 20
signed int (pthread_t *thread, const pthread_attr_t *attr, void * (*start_routine)(void *), void *arg)
Removal of function pointers and virtual functions
file <builtin-library-__spawned_thread> line 34 function __spawned_thread: replacing function pointer by 3 possible targets
Generic Property Instrumentation
Running with 8 object bits, 24 offset bits (default)
Starting Bounded Model Checking
[Warning][Unknown] Function definition missing for __VERIFIER_nondet_bool (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:806:3)
[Warning][Unknown] INVALIDATING ALL GLOBALS! (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:806:3)
[Warning][Unknown] Invalidating expressions: AddrOf(Var(weak$$choice2,
                                     NoOffset)), AddrOf(Var(weak$$choice1, NoOffset)), AddrOf(Var(weak$$choice0, NoOffset)), AddrOf(Var(z, NoOffset)), AddrOf(Var(y$w_buff1_used, NoOffset)), AddrOf(Var(y$w_buff1, NoOffset)), AddrOf(Var(y$w_buff0_used, NoOffset)), AddrOf(Var(y$w_buff0, NoOffset)), AddrOf(Var(y$read_delayed_var, NoOffset)), AddrOf(Var(y$read_delayed, NoOffset)), AddrOf(Var(y$r_buff1_thd3, NoOffset)), AddrOf(Var(y$r_buff1_thd2, NoOffset)), AddrOf(Var(y$r_buff1_thd1, NoOffset)), AddrOf(Var(y$r_buff1_thd0, NoOffset)), AddrOf(Var(y$r_buff0_thd3, NoOffset)), AddrOf(Var(y$r_buff0_thd2, NoOffset)), AddrOf(Var(y$r_buff0_thd1, NoOffset)), AddrOf(Var(y$r_buff0_thd0, NoOffset)), AddrOf(Var(y$mem_tmp, NoOffset)), AddrOf(Var(y$flush_delayed, NoOffset)), AddrOf(Var(y, NoOffset)), AddrOf(Var(x, NoOffset)), AddrOf(Var(main$tmp_guard1, NoOffset)), AddrOf(Var(main$tmp_guard0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff1_used, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff1, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff0_used, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$read_delayed_var, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$read_delayed, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd3, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd2, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd1, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd3, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd2, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd1, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$mem_tmp, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$flush_delayed, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX, NoOffset)), AddrOf(Var(__unbuffered_p0_EBX, NoOffset)), AddrOf(Var(__unbuffered_p0_EAX, NoOffset)), AddrOf(Var(__unbuffered_cnt, NoOffset)) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:806:3)
[Warning][Unknown] Unknown address in {&y$read_delayed_var} has escaped. (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:806:3)
[Warning][Unknown] Unknown address in {&__unbuffered_p2_EAX$read_delayed_var} has escaped. (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:806:3)
[Warning][Unknown] Invalidating expressions: AddrOf(Var(weak$$choice0, NoOffset)) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:806:3)
[Warning][Unknown] Function definition missing for __VERIFIER_nondet_bool (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:807:3)
[Warning][Unknown] INVALIDATING ALL GLOBALS! (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:807:3)
[Warning][Unknown] Invalidating expressions: AddrOf(Var(weak$$choice2, NoOffset)), AddrOf(Var(weak$$choice1, NoOffset)), AddrOf(Var(weak$$choice0, NoOffset)), AddrOf(Var(z, NoOffset)), AddrOf(Var(y$w_buff1_used, NoOffset)), AddrOf(Var(y$w_buff1, NoOffset)), AddrOf(Var(y$w_buff0_used, NoOffset)), AddrOf(Var(y$w_buff0, NoOffset)), AddrOf(Var(y$read_delayed_var, NoOffset)), AddrOf(Var(y$read_delayed, NoOffset)), AddrOf(Var(y$r_buff1_thd3, NoOffset)), AddrOf(Var(y$r_buff1_thd2, NoOffset)), AddrOf(Var(y$r_buff1_thd1, NoOffset)), AddrOf(Var(y$r_buff1_thd0, NoOffset)), AddrOf(Var(y$r_buff0_thd3, NoOffset)), AddrOf(Var(y$r_buff0_thd2, NoOffset)), AddrOf(Var(y$r_buff0_thd1, NoOffset)), AddrOf(Var(y$r_buff0_thd0, NoOffset)), AddrOf(Var(y$mem_tmp, NoOffset)), AddrOf(Var(y$flush_delayed, NoOffset)), AddrOf(Var(y, NoOffset)), AddrOf(Var(x, NoOffset)), AddrOf(Var(main$tmp_guard1, NoOffset)), AddrOf(Var(main$tmp_guard0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff1_used, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff1, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff0_used, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$read_delayed_var, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$read_delayed, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd3, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd2, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd1, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd3, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd2, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd1, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$mem_tmp, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$flush_delayed, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX, NoOffset)), AddrOf(Var(__unbuffered_p0_EBX, NoOffset)), AddrOf(Var(__unbuffered_p0_EAX, NoOffset)), AddrOf(Var(__unbuffered_cnt, NoOffset)) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:807:3)
[Warning][Unknown] Unknown address in {&y$read_delayed_var} has escaped. (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:807:3)
[Warning][Unknown] Unknown address in {&__unbuffered_p2_EAX$read_delayed_var} has escaped. (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:807:3)
[Warning][Unknown] Invalidating expressions: AddrOf(Var(weak$$choice2, NoOffset)) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:807:3)
[Warning][Unknown] Function definition missing for __VERIFIER_nondet_bool (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:810:3)
[Warning][Unknown] INVALIDATING ALL GLOBALS! (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:810:3)
[Warning][Unknown] Invalidating expressions: AddrOf(Var(weak$$choice2, NoOffset)), AddrOf(Var(weak$$choice1, NoOffset)), AddrOf(Var(weak$$choice0, NoOffset)), AddrOf(Var(z, NoOffset)), AddrOf(Var(y$w_buff1_used, NoOffset)), AddrOf(Var(y$w_buff1, NoOffset)), AddrOf(Var(y$w_buff0_used, NoOffset)), AddrOf(Var(y$w_buff0, NoOffset)), AddrOf(Var(y$read_delayed_var, NoOffset)), AddrOf(Var(y$read_delayed, NoOffset)), AddrOf(Var(y$r_buff1_thd3, NoOffset)), AddrOf(Var(y$r_buff1_thd2, NoOffset)), AddrOf(Var(y$r_buff1_thd1, NoOffset)), AddrOf(Var(y$r_buff1_thd0, NoOffset)), AddrOf(Var(y$r_buff0_thd3, NoOffset)), AddrOf(Var(y$r_buff0_thd2, NoOffset)), AddrOf(Var(y$r_buff0_thd1, NoOffset)), AddrOf(Var(y$r_buff0_thd0, NoOffset)), AddrOf(Var(y$mem_tmp, NoOffset)), AddrOf(Var(y$flush_delayed, NoOffset)), AddrOf(Var(y, NoOffset)), AddrOf(Var(x, NoOffset)), AddrOf(Var(main$tmp_guard1, NoOffset)), AddrOf(Var(main$tmp_guard0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff1_used, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff1, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff0_used, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$read_delayed_var, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$read_delayed, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd3, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd2, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd1, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd3, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd2, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd1, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$mem_tmp, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$flush_delayed, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX, NoOffset)), AddrOf(Var(__unbuffered_p0_EBX, NoOffset)), AddrOf(Var(__unbuffered_p0_EAX, NoOffset)), AddrOf(Var(__unbuffered_cnt, NoOffset)) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:810:3)
[Warning][Unknown] Unknown address in {&y$read_delayed_var} has escaped. (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:810:3)
[Warning][Unknown] Unknown address in {&__unbuffered_p2_EAX$read_delayed_var} has escaped. (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:810:3)
[Warning][Unknown] Invalidating expressions: AddrOf(Var(weak$$choice1, NoOffset)) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:810:3)
[Warning][Unknown] Function definition missing for __VERIFIER_nondet_bool (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:868:3)
[Warning][Unknown] INVALIDATING ALL GLOBALS! (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:868:3)
[Warning][Unknown] Invalidating expressions: AddrOf(Var(weak$$choice2,
                                     NoOffset)), AddrOf(Var(weak$$choice1, NoOffset)), AddrOf(Var(weak$$choice0, NoOffset)), AddrOf(Var(z, NoOffset)), AddrOf(Var(y$w_buff1_used, NoOffset)), AddrOf(Var(y$w_buff1, NoOffset)), AddrOf(Var(y$w_buff0_used, NoOffset)), AddrOf(Var(y$w_buff0, NoOffset)), AddrOf(Var(y$read_delayed_var, NoOffset)), AddrOf(Var(y$read_delayed, NoOffset)), AddrOf(Var(y$r_buff1_thd3, NoOffset)), AddrOf(Var(y$r_buff1_thd2, NoOffset)), AddrOf(Var(y$r_buff1_thd1, NoOffset)), AddrOf(Var(y$r_buff1_thd0, NoOffset)), AddrOf(Var(y$r_buff0_thd3, NoOffset)), AddrOf(Var(y$r_buff0_thd2, NoOffset)), AddrOf(Var(y$r_buff0_thd1, NoOffset)), AddrOf(Var(y$r_buff0_thd0, NoOffset)), AddrOf(Var(y$mem_tmp, NoOffset)), AddrOf(Var(y$flush_delayed, NoOffset)), AddrOf(Var(y, NoOffset)), AddrOf(Var(x, NoOffset)), AddrOf(Var(main$tmp_guard1, NoOffset)), AddrOf(Var(main$tmp_guard0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff1_used, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff1, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff0_used, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$w_buff0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$read_delayed_var, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$read_delayed, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd3, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd2, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd1, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff1_thd0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd3, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd2, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd1, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$r_buff0_thd0, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$mem_tmp, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX$flush_delayed, NoOffset)), AddrOf(Var(__unbuffered_p2_EAX, NoOffset)), AddrOf(Var(__unbuffered_p0_EBX, NoOffset)), AddrOf(Var(__unbuffered_p0_EAX, NoOffset)), AddrOf(Var(__unbuffered_cnt, NoOffset)) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:868:3)
[Warning][Unknown] Unknown address in {&y$read_delayed_var} has escaped. (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:868:3)
[Warning][Unknown] Unknown address in {&__unbuffered_p2_EAX$read_delayed_var} has escaped. (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:868:3)
[Warning][Unknown] Invalidating expressions: AddrOf(Var(weak$$choice1, NoOffset)) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:868:3)
[Warning][Behavior > Undefined > NullPointerDereference][CWE-476] May dereference NULL pointer (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:869:3)
[Warning][Unknown] Write to unknown address: privatization is unsound. (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:869:3)
[Warning][Deadcode] Function "__bswap_32" will never be called: 1LoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:85:1)
[Warning][Deadcode] Function "__bswap_64" will never be called: 1LoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:90:1)
[Warning][Deadcode] Function "__uint16_identity" will never be called: 1LoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:95:1)
[Warning][Deadcode] Function "__uint32_identity" will never be called: 1LoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:100:1)
[Warning][Deadcode] Function "__uint64_identity" will never be called: 1LoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:105:1)
[Warning][Deadcode] Function "fence" will never be called: 1LoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:839:1)
[Warning][Deadcode] Function "isync" will never be called: 1LoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:842:1)
[Warning][Deadcode] Function "lwfence" will never be called: 1LoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:845:1)
[Warning][Race] Memory location y$r_buff1_thd0@safe012_power.opt.i:744:7 (race with conf. 110):
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:861:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:863:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:865:3)
  write with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:785:3)
  write with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:865:3)
[Warning][Race] Memory location __unbuffered_p2_EAX$read_delayed@safe012_power.opt.i:726:7 (race with conf. 110):
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:869:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:818:3)
[Warning][Race] Memory location y$r_buff0_thd3@safe012_power.opt.i:743:7 (race with conf. 110):
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:788:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:811:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:812:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:813:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:814:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:815:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:816:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:817:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:828:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:829:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:830:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:831:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:832:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:816:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:831:3)
[Warning][Race] Memory location y$w_buff1_used@safe012_power.opt.i:753:7 (race with conf. 110):
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:784:3)
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:792:3)
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:794:3)
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:796:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:811:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:812:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:813:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:814:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:815:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:816:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:817:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:828:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:830:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:832:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:861:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:863:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:865:3)
  write with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:782:3)
  write with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:794:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:815:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:830:3)
  write with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:863:3)
[Warning][Race] Memory location weak$$choice1@safe012_power.opt.i:757:7 (race with conf. 110):
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:811:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:814:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:869:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:810:3)
  write with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:868:3)
[Warning][Race] Memory location y$r_buff0_thd0@safe012_power.opt.i:740:7 (race with conf. 110):
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:785:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:861:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:862:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:863:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:864:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:865:3)
  write with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:864:3)
[Warning][Race] Memory location y$w_buff0_used@safe012_power.opt.i:751:7 (race with conf. 110):
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:782:3)
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:784:3)
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:792:3)
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:793:3)
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:794:3)
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:795:3)
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:796:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:811:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:812:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:813:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:814:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:815:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:816:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:817:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:828:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:829:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:830:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:831:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:832:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:861:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:862:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:863:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:864:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:865:3)
  write with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:783:3)
  write with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:793:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:814:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:829:3)
  write with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:862:3)
[Warning][Race] Memory location y$r_buff1_thd3@safe012_power.opt.i:747:7 (race with conf. 110):
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:811:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:812:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:813:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:814:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:815:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:816:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:817:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:828:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:830:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:832:3)
  write with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:788:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:817:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:832:3)
[Warning][Race] Memory location __unbuffered_p2_EAX$read_delayed_var@safe012_power.opt.i:727:5 (race with conf. 110):
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:869:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:819:3)
[Warning][Race] Memory location y@safe012_power.opt.i:737:5 (race with conf. 110):
  read with {thread:([main], {})} (conf. 100) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:869:3)
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:792:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:809:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:811:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:820:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:821:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:828:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:861:3)
  write with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:792:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:811:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:821:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:828:3)
  write with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:861:3)
[Warning][Race] Memory location y$w_buff0@safe012_power.opt.i:750:5 (race with conf. 110):
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:780:3)
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:792:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:811:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:812:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:828:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:861:3)
  write with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:781:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:812:3)
[Warning][Race] Memory location __unbuffered_p0_EBX@safe012_power.opt.i:713:5 (race with conf. 110):
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:870:3)
  write with {thread:([P0@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:853:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:765:3)
[Warning][Race] Memory location __unbuffered_p0_EAX@safe012_power.opt.i:711:5 (race with conf. 110):
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:870:3)
  write with {thread:([P0@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:853:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:762:3)
[Warning][Race] Memory location __unbuffered_cnt@safe012_power.opt.i:709:5 (race with conf. 110):
  read with {thread:([P0@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:853:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:770:3)
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:799:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:835:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:857:3)
  write with {thread:([P0@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:853:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:770:3)
  write with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:799:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:835:3)
[Warning][Race] Memory location z@safe012_power.opt.i:755:5 (race with conf. 110):
  read with {thread:([P0@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:853:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:762:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:825:3)
[Warning][Race] Memory location __unbuffered_p2_EAX@safe012_power.opt.i:715:5 (race with conf. 110):
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:869:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:870:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:820:3)
  write with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:869:3)
[Warning][Race] Memory location y$w_buff1@safe012_power.opt.i:752:5 (race with conf. 110):
  read with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:792:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:811:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:813:3)
  read with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:828:3)
  read with {thread:([main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:861:3)
  write with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:780:3)
  write with {thread:([P2@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:856:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:813:3)
[Warning][Race] Memory location x@safe012_power.opt.i:735:5 (race with conf. 110):
  read with {thread:([P0@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:853:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:765:3)
  write with {thread:([P1@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:855:3, main], {})} (conf. 110) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i:777:3)

Summary for all memory locations:
	safe:           10
	vulnerable:      0
	unsafe:         18
	-------------------
	total:          28
Use SV-COMP unwinding strategy: 2
Deagle's solver is set!!!!!!
aborting path on assume(false) at file <builtin-library-abort> line 6 function abort thread 0
aborting path on assume(false) at file <builtin-library-abort> line 6 function abort thread 0
aborting path on assume(false) at file <builtin-library-abort> line 6 function abort thread 2
Handling datarace, passing the problem to goblint first
getcwd: /mnt/goblint-svcomp/benchexec/tools-pldi/deagle
/mnt/goblint-svcomp/benchexec/tools-pldi/deagle/goblint/goblint /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i | tee goblint/goblint_output: 0
Lines where datarace may occur: 762 763 765 766 770 771 777 778 780 781 782 783 784 785 786 788 789 792 793 794 795 796 797 799 800 806 807 809 810 811 812 813 814 815 816 817 818 819 820 821 822 825 826 828 829 830 831 832 833 835 836 857 858 861 862 863 864 865 866 868 869 870 871 
The number of races before goblint filter: 73
The number of races after goblint filter: 0
Race categories: 0
Runtime Symex: 1.86302s
Adding SC constraints
Shared __CPROVER_threads_exited: 3R/4W
Shared __CPROVER_next_thread_id: 2R/4W
Shared __unbuffered_cnt: 4R/4W
Shared __unbuffered_p0_EAX: 1R/2W
Shared __unbuffered_p0_EBX: 1R/2W
Shared __unbuffered_p2_EAX: 1R/3W
Shared __unbuffered_p2_EAX$read_delayed: 1R/2W
Shared __unbuffered_p2_EAX$read_delayed_var: 1R/2W
Shared main$tmp_guard0: 2R/2W
Shared main$tmp_guard1: 2R/2W
Shared x: 1R/2W
Shared y: 4R/5W
Shared y$r_buff0_thd0: 2R/2W
Shared y$r_buff0_thd1: 1R/1W
Shared y$r_buff0_thd2: 2R/3W
Shared y$r_buff0_thd3: 3R/3W
Shared y$r_buff1_thd0: 1R/3W
Shared y$r_buff1_thd2: 1R/3W
Shared y$r_buff1_thd3: 2R/4W
Shared y$w_buff0: 5R/3W
Shared y$w_buff0_used: 5R/6W
Shared y$w_buff1: 4R/3W
Shared y$w_buff1_used: 4R/6W
Shared z: 1R/2W
Shared __unbuffered_p2_EAX$read_delayed_var$object: 1R/1W
size of program expression: 763 steps
no slicing due to threads
Generated 0 VCC(s), 0 remaining after simplification
Runtime Postprocess Equation: 0.00274273s
VERIFICATION SUCCESSFUL
